#!/bin/sh
echo 'name: basic-prelude
version: 0.3.4.0
id: basic-prelude-0.3.4.0-59507f6311b02b9020347301e201e2e8

license: MIT
copyright:
maintainer: michael@snoyman.com
stability:
homepage: https://github.com/snoyberg/basic-prelude
package-url:
synopsis: An enhanced core prelude; a common foundation for alternate preludes.
description: The premise of @basic-prelude@ is that there are a lot of very commonly desired features missing from the standard @Prelude@, such as commonly used operators (@\<$\>@ and @>=>@, for instance) and imports for common datatypes (e.g., @ByteString@ and @Vector@). At the same time, there are lots of other components which are more debatable, such as providing polymorphic versions of common functions.
             .
             So @basic-prelude@ is intended to give a common foundation for a number of alternate preludes. The package provides two modules: @CorePrelude@ provides the common ground for other preludes to build on top of, while @BasicPrelude@ exports @CorePrelude@ together with commonly used list functions to provide a drop-in replacement for the standard @Prelude@.
             .
             Users wishing to have an improved @Prelude@ can use @BasicPrelude@. Developers wishing to create a new prelude should use @CorePrelude@.
             .
             Release history:
             .
             [0.3] Moved a number of exports from @BasicPrelude@ to @CorePrelude@ and vice-versa.
             .
             [0.2] Renamed @BasicPrelude@ to @CorePrelude@ and added a new @BasicPrelude@ module provided a full-featured @Prelude@ alternative. Also added a number of new exports.
             .
             [0.1] Initial version, code taken from @classy-prelude@ with a few minor tweaks.
category: Control, Prelude
author: Michael Snoyman, Dan Burton
exposed: True
exposed-modules: BasicPrelude CorePrelude
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/basic-prelude-0.3.4.0
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/basic-prelude-0.3.4.0
              /usr/local/lib
hs-libraries: HSbasic-prelude-0.3.4.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: ReadArgs-1.2.1-9129d9c78b39d0d0d3197b60c8a77508
         base-4.5.1.0-12fddc14a7babb909dd3843e453b5660
         bytestring-0.9.2.1-e22c77999d0db34f3ca8de7082a3ffd5
         containers-0.4.2.1-efa59805336a77490296ae3897cecb87
         hashable-1.2.0.5-616c9310810e53cea406a20719f1a423
         lifted-base-0.2.0.2-b90fcb9aa77776a8ad36779dc4badea7
         system-filepath-0.4.7-403038b7fdc834e6f6c60bc3637677a4
         text-0.11.2.3-366962ac4488fc093d5aed19e281b055
         transformers-0.3.0.0-2889ebed7e61112cda7ded5e4c153bcf
         unordered-containers-0.2.3.0-2418b77932f7b961dfa1314968c1e9ff
         vector-0.10.0.1-fdf8e0c3f3c1cae1113ab97c34aa5c14
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/basic-prelude-0.3.4.0/html/basic-prelude.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/basic-prelude-0.3.4.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
